package Sophos::Product::Info;
use Module::Pluggable require => 1, search_path => ['Sophos::Product::Info'];
use strict;
use warnings;
use Data::Dumper;

# just find the actual product class that is responsible for implementing this
# api and return it.
sub new {
  my $class = shift;
  my $self =  bless {}, $class;
  my @plugins = $self->plugins();

  my $product;
  foreach my $p (@plugins) {
    next unless $p->is_current_product();
    die "Unable to determine what product we are installed in" if $product;
    $product = $p;
  }

  return $product->new(@_);
}




1;

